Skip to Main content

CYBER Access Requirements

The following requirements are necessary to access the CYBER electronic medical record system for the New Jersey Children's System of Care.

If you are a provider and have questions about CYBER, please call the PerformCare Service Desk at 1-877-652-7624.

To access CYBER as a provider, you must:

  • Be a system administrator for your agency, or
  • Have your agency's system administrator set up a login for you. Your access will be based on your login type and security levels.

What are the minimum requirements needed to run CYBER?

  • Operating system:
    • Microsoft Windows (Windows 7, Windows 8.1, or Windows 10).
    • Related software: Microsoft Silverlight.
  • Browsers:
    • Internet Explorer version 11 (preferred).
    • Your browser must have the Transport Layer Security protocol version 1.2 (TLS 1.2) enabled. This is already a part of Internet Explorer 11.
    • CYBER is not compatible with Linux systems, Google Chrome, Microsoft Edge, current versions of Firefox (since mid-2018), or Netscape. Older versions of Firefox and the Firefox ESR (Extended Support Release) may work, but updated versions do not. Firefox ESR 52 was the last known version that could support Silverlight.
    • Please note that Google Chrome and Mozilla Firefox browsers are no longer compatible with the Silverlight plug-in.
    • Additional browser compatibility information (PDF).
  • Memory:
    • 2GB RAM minimum; 4GB RAM highly recommended.
  • Monitor:
    • Screen resolution of at least 1024 x 768.

CYBER and non-Microsoft operating systems (Apple, Linux, etc.)

We currently do not support CYBER using other operating systems, including Linux or any of the Apple operating systems (Yosemite, El Capitan, etc.). CYBER is optimally configured for use with the Microsoft operating system.

In addition, we do not currently support CYBER on cell phones, but additional support for mobile devices will be available in the near future.

Compatible hardware

We support CYBER on all Microsoft operating systems noted above on laptops, tablets, and desktops.

Incompatible hardware

We do not support CYBER on the following devices:

  • Apple mobile devices such as iPad and iPhone.
  • Android tablets and phones.
  • Google Chromebook.
  • Kindle, Nook, or other e-readers.

However, please note that CYBER compatibility with mobile devices will be available in the near future.

Users can call the Service Desk at 1-877-652-7624 if you do not see your system listed here.